Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatMember

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatMember

Enclosing class:
  TdApi

public static final class TdApi.ChatMember extends TdApi.Object
Describes a user or a chat as a member of another chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`inviterUserId`
Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.
`int`
`joinedChatDate`
Point in time (Unix timestamp) when the user joined the chat.
`TdApi.MessageSender`
`memberId`
Identifier of the chat member.
`TdApi.ChatMemberStatus`
`status`
Status of the member in the chat.

## Constructor Summary

Constructors
Constructor
Description
`ChatMember()`
Describes a user or a chat as a member of another chat.
`ChatMember(TdApi.MessageSender memberId, long inviterUserId, int joinedChatDate, TdApi.ChatMemberStatus status)`
Describes a user or a chat as a member of another chat.
`ChatMember(DataInput input)`
Describes a user or a chat as a member of another chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### memberId

public TdApi.MessageSender memberId
Identifier of the chat member. Currently, other chats can be only Left or Banned. Only supergroups and channels can have other chats as Left or Banned members and these chats must be supergroups or channels.

### inviterUserId

public long inviterUserId
Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.

### joinedChatDate

public int joinedChatDate
Point in time (Unix timestamp) when the user joined the chat.

### status

public TdApi.ChatMemberStatus status
Status of the member in the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatMember

public ChatMember()
Describes a user or a chat as a member of another chat.

### ChatMember

public ChatMember(TdApi.MessageSender memberId, long inviterUserId, int joinedChatDate, TdApi.ChatMemberStatus status)
Describes a user or a chat as a member of another chat.

Parameters:
  `memberId` - MessageSender Identifier of the chat member. Currently, other chats can be only Left or Banned. Only supergroups and channels can have other chats as Left or Banned members and these chats must be supergroups or channels.
  `inviterUserId` - long Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.
  `joinedChatDate` - int Point in time (Unix timestamp) when the user joined the chat.
  `status` - ChatMemberStatus Status of the member in the chat.

### ChatMember

public ChatMember(DataInput input) throws IOException
Describes a user or a chat as a member of another chat.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`